package cn.fw.hestia.sdk.params;

import lombok.Data;
import lombok.ToString;

import java.util.Map;

/**
 * 模板消息param
 *
 * 模板消息样例：
 *
 * {{first.DATA}}
 * 变更类型：{{keyword1.DATA}}
 * 变更结果：{{keyword2.DATA}}
 * {{remark.DATA}}
 *
 * @author kurisu
 */
@Data
@ToString
public class TemplateMessageParam {
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 标题 对应「first」字段
     */
    private String title;
    /**
     * 备注
     */
    private String remark;
    /**
     * 变更类型
     */
    private String changeType;
    /**
     * 变更结果
     */
    private String changeResult;
    /**
     * 如需跳转小程序，则是小程序页面路径
     */
    private String path;
    /**
     * 跳转小程序所携带的参数
     */
    private Map<String, String> paramMap;
}
